# Read Unterminated Task by SID

Read's the specified unterminated task from Twilio API (this proxy's Twilio's
Task API).
An "unterminated" task is an "active" task—or any task which has yet to have its
task assignment status set to `completed` or `canceled`. See: https://www.twilio.com/docs/taskrouter/lifecycle-task-state

Endpoint: GET /companies/{companyId}/twilio-unterminated-tasks/{taskSid}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `companyId` (string, required)
    The unique company identifier.

  - `taskSid` (string, required)
    The `sid` of the task

## Response 200 fields (application/json):

  - `data` (object)

  - `data.account_sid` (string)
    The unique identifier for the Twilio account.

  - `data.addons` (string)
    Currently unused.

  - `data.age` (integer)
    Time since this task was created in seconds.

  - `data.assignment_status` (string)
    Enum: "pending", "reserved", "assigned", "wrapping", "completed", "canceled"

  - `data.attributes` (any)

  - `data.attributes.task_init_at` (string)
    The date and time the original task was created. This is the time the original task was created, not 
the time the task was re-created, if it was re-created.

  - `data.attributes.task_lifelong_id` (string)
    A unique identifier for the task that is guaranteed to be the same over the lifetime of the task
event if the task is re-created via the "Unable To Complete" functionality.

  - `data.attributes.account_sid` (string)

  - `data.attributes.api_version` (string)

  - `data.attributes.borrower` (object)
    The metadata of the borrower about which this task is the subject.

  - `data.attributes.borrower.id` (string)
    The unique identifier for the borrower.
    Example: BO-AAAA-BBBB

  - `data.attributes.borrower.loanTypes` (array)

  - `data.attributes.borrower.loanTypes.ids` (array)
    Example: ["LT-AAAA-BBBB"]

  - `data.attributes.borrower.loanTypes.names` (array)
    Example: ["Foobar Installment Loan"]

  - `data.attributes.borrower.loanTypes.types` (array)

  - `data.attributes.borrower.name` (string)
    The full name of the borrower.

  - `data.attributes.call_sid` (string)

  - `data.attributes.called` (string)

  - `data.attributes.called_city` (string)

  - `data.attributes.called_country` (string)

  - `data.attributes.called_state` (string)

  - `data.attributes.called_zip` (string)

  - `data.attributes.caller` (string)

  - `data.attributes.caller_city` (string)

  - `data.attributes.caller_country` (string)

  - `data.attributes.caller_state` (string)

  - `data.attributes.caller_zip` (string)

  - `data.attributes.case` (object)
    Always `null`

  - `data.attributes.direction` (string)

  - `data.attributes.from` (string)

  - `data.attributes.from_city` (string)

  - `data.attributes.from_country` (string)

  - `data.attributes.from_state` (string)

  - `data.attributes.from_zip` (string)

  - `data.attributes.interaction` (object)

  - `data.attributes.interaction.borrowerSelectedTheme` (string)
    The reason why an interaction occurred.
For example:
- An outbound debt collection call should be marked as `opsCollDebt`.
- An annual privacy policy update email should be marked as `opsServicing`.
- A customer service response to borrower's inquiry should be marked as `opsServicing`.

**DEPRECATED**: `inbBug`, `inbHumanLove`, and `opsServicingNegativeCreditReportNotice` are deprecated:
you cannot create or update interactions to have these values.
    Enum: "agentNotification", "opsCollDebt", "opsCollLocateBorrower", "opsCollVerifyEmployment", "opsCollContactEmployerNotice", "opsServicingDebtValidation", "opsServicingNegativeCreditReportNotice", "opsServicingTimeBarredNotice", "opsServicing", "opsAccountCredentials", "inbMissingFeature", "inbEducation", "inbBug", "inbRequest", "inbHumanLove", "inbUnknown", "inbOther", "inbServicing", "inbCollections", "inbPayments", "inbFraud", "inbGeneralInquiry"

  - `data.attributes.interaction.channel` (string)

  - `data.attributes.interaction.contactId` (string)

  - `data.attributes.interaction.content` (any)

  - `data.attributes.interaction.id` (string)

  - `data.attributes.interaction.metaData` (object)
    Store any type of key/value pairs in the form of a JSON dictionary.

  - `data.attributes.interaction.personId` (string)
    The ID of the borrower to which this interaction is associated

  - `data.attributes.interaction.scheduledAtFrom` (string)
    Time to start the scheduled interaction.

  - `data.attributes.interaction.scheduledAtTo` (string)
    Time to end the scheduled interaction.

  - `data.attributes.interaction.startedAt` (string)
    Start time of the interaction. If not provided we'll assume it's
a timestamp of the API call.  If time of day is not required
provide only date.
For CRM-managed `voice` interactions, an `inbound` call is
considered started when the CRM system answers the call, and an
`outbound` call is considered started when the CRM system
initiates the call.

  - `data.attributes.interaction.status` (string)
    The status of an interaction.
`status` is important, as it can impact future interactions.
For instance, in jurisdictions which cap the number
of outbound collection communications to a borrower,
`status=failed` interactions do not count against the legal allotment.
Interaction `status` can be updated as the interaction status changes.
For example, when an email is sent, set the status to `attempted`. If
the email is opened, set the status to `succeeded`. If the email bounces,
set the status to `failed`. `attempted` is assumed to be a successful
interaction. Optionally, you can also use 'statusDetails' to provide
additional details about status.
## In-Progress interactions
Some interactions—like an email—take place at a single point in time, others
might be ongoing for many minutes—like a phone call.
Ongoing interactions like voice and chat may have their status set to `inProgress`.
## Scheduled interactions
Some interactions might be scheduled for the future. These interactions
have a status of `scheduled`. If this scheduled interaction is unscheduled
then it has a status of `canceled`.
## Null
Note that `null` is not a valid status name but rather can be used to specify a
query for interactions with a `status` of `null`
    Enum: "attempted", "succeeded", "failed", "scheduled", "canceled", "inProgress", "null"

  - `data.attributes.interaction.statusDetails` (string)
    Provides more details about the status of an interaction.
Note that `statusDetails` related to the "technical" status of an interaction: e.g., Did it connect?
Did it fail to send? Was it blocked by Compliance Guard?
For the "human" outcome of an interaction see `agentOutcome`: e.g., Did you talk the person you intended
to? Did the other chat recipient become unresponsive?
## Status
Certain status details must have a particular `status` associated with them; attempting to use them
otherwise will result in an error.
### Succeeded
The following status details are considered `status=succeeded`
- `emailDelivered` - The email was successfully delivered
- `emailOpened` - The email was opened
- `emailClick` - A link in the email was clicked
- `letterDelivered` - The letter is successfully delivered
- `chatRead` - The chat message was read

The following status detail is only available for `mail` interactions sent with `mailIsCertified=true`.
- `letterPickUpAvailable` - Letter is available for pickup at carrier location

### Attempted
The following status details are considered `status=attempted`.
- `voiceReceivedOutsideOpenHours` - Caller tried to contact the lender outside designated business hours
- `voiceConnected` - Voice call connected successfully
- `voiceDisconnectedBeforeQueue` - Inbound call was disconnected before entering the queue.
- `emailSent` - Email was sent, but delivery cannot be confirmed
- `letterCreated` - Letter is successfully created
- `letterRenderedPdf` - Letter's PDF proof is successfully rendered
- `letterRenderedThumbnails` - Letter's thumbnails are successfully rendered
- `letterInTransit` - Letter received an "In Transit" event
- `letterInLocalArea` - Letter is in the local area
- `letterProcessedForDelivery` - Letter is in the local area
- `letterRerouted` - Letter is re-routed
- `chatPosted` - Chat message sent
- `textConvoTimeoutAutoclose` - This text conversation was closed automatically due to a timeout.
- `textConvoClosedStale` - (**DEPRECATED**) An open but outdated text conversation was closed automatically when a new text conversation was started. New text conversations should never enter into this state, but old conversations may be in this state.
- `textConvoClosedByAgent` - The agent manually marked the text conversation as ended.

The following status details are only available for `mail` interactions sent with `mailIsCertified=true`.
- `letterAccepted` - Letter has been accepted into the carrier network for delivery
- `letterArrived` - Letter has arrived at an intermediate location in the carrier network
- `letterContactCarrier` - Letter has non-failure condition that requires contacting the carrier
- `letterDamaged` - Letter has been damaged; contact carrier for more details
- `letterDelayed` - Letter has been delayed
- `letterDeliveryAttempted` - Carrier attempted to deliver letter; contact carrier to ensure delivery
- `letterDeliveryRescheduled` - Delivery of letter has been rescheduled
- `letterDeparted` - Letter has departed from an intermediate location in the carrier network
- `letterHeld` - Letter held at carrier location; contact carrier for more details
- `letterNoticeLeft` - Carrier left notice during attempted delivery; follow instructions on notice
- `letterProcessed` - Letter has been processed at an intermediate location
- `letterProcessing` - Letter is processing at an intermediate location in the carrier network
- `letterOther` - Peach's mail partner received an unrecognized status that does not have a predefined code

### Failed
The following status details are considered `status=failed`.
Generally an interaction is `failed` if some part of connecting or completing the interaction failed
due to a technical failure, misconfiguration, or attempt to communicate in a way disallowed by
rules.
- `emailBlocked` - Receiving server could not or would not accept the message temporarily
- `emailBounced` - Receiving server could not or would not accept mail to this recipient permanently
- `emailDropped` - Email rejected for a number of reasons: rejected as SPAM, Unsubscribed Address, Bounced Address, Email Invalid
- `emailFailedToSend` - *Not currently in use - reserved for future use*
- `emailReportedAsSpam` - Email was delivered, but later reported as SPAM by recipient
- `letterDeleted` - Letter is successfully canceled
- `letterFailedToCreate` - Request to create the letter failed. Provider did not return 200 OK status code
- `letterReturnedToSender` - Letter is returned to the sender
- `textA2PCampaignUnregistered` - The text was not sent because the lender has not registered this phone number with an A2P campaign.
- `textAccountSuspended` - The account was suspended between message queuing and delivery.
- `textCarrierViolation` - The message was flagged as 'objectionable' or 'spam' by the phone carrier and was blocked.
- `textConvoUnknownNumberRejected` - This text was received from an unknown number, and so was rejected.
- `textDeviceUnreachable` - The destination phone number temporarily could not be reached - it was turned off, out of service area, etc.
- `textLandlineOrUnreachableCarrier` - The destination phone number could not receive the message. Reasons include the destination number being a landline phone or the carrier being temporarily unavailable.
- `textLenderDisabledInboundTexts` - The inbound text was not received because the lender does not have inbound texting enabled.
- `textMessageBlocked` - The destination phone number is blocked from receiving the message.
- `textMessagePriceExceedsMax` - The price of the message exceeds the max price parameter.
- `textMissingSegment` - One or more parts of a multipart message were not received.
- `textNumberDisconnected` - The destination phone number could not be reached and may be disconnected.
- `textQueueOverflow` - Too many messages were queued to be sent, and some were dropped as a result.
- `textRegionInvalid` - Permission to send an SMS or MMS has not been enabled for the region indicated by the 'To' number
- `textUnknownError` - An unknown error occurred when attempting to send the message.
- `textUnsubscribedRecipient` - The person you are trying to message has opted out of receiving messages from your Twilio phone number, Channels sender, or Messaging Service.
- `voiceFailedToInitiate` - Outbound voice call could not start for some reason; Or the inbound call was disconnected before entering the queue.
- `voiceLenderDisabledInboundCalls` - Inbound call received while lender has inbound voice call disabled
- `voiceNumberDisconnected` - Outbound voice call to disconnected phone number
- `voiceNumberInvalid` - Invalid 'To' Phone Number
- `voiceReceivedNoAgentsAvailable` - Inbound call received while lender had no agents to answer it

The following status details are only available for `mail` interactions sent with `mailIsCertified=true`.
- `letterAddressIssue` - Address information is incorrect; contact carrier to ensure delivery
- `letterDisposed` - Letter disposed by carrier
- `letterLocationInaccessible` - Delivery location inaccessible to carrier; contact carrier to ensure delivery
- `letterLost` - Letter has been lost; contact carrier for more details
- `letterRescheduleDelivery` - Contact carrier to reschedule delivery
- `letterUnclaimed` - Letter is unclaimed
- `letterUndeliverable` - Letter was unable to be delivered

## Channels
- Most status details can only be used with their respective channels. e.g., `voiceNumberDisconnected`
can only be used for interactions with `channel=voice`. Using them otherwise will result in an error
- `invalidContact` and `blockedByComplianceGuard` are valid for all channels

## Direction
Certain status details are only valid with certain `direction` settings. Using them with
an invalid `direction` will result in an error. For example...
- `voiceReceivedNoAgentsAvailable` can only be set for `inbound` phone calls
- `voiceNumberDisconnected` can only be set for `outbound` phone calls
- `voiceUnexpectedDisconnect` can be set for either direction

## Null
Note that `null` is not a valid status name but rather can be used to specify a
query for interactions with a `status` of `null`
    Enum: "voiceSpokeWithFirstParty", "voiceSpokeWithThirdParty", "voiceLeftVoicemailFirstParty", "voiceLeftVoicemailThirdParty", "voiceLeftVoicemail", "voiceLineBusyNoRing", "voiceReachedVoicemailNoMessageLeft", "voiceRangNoPickup", "voicePickedHungUp", "voiceFailedToInitiate", "voiceNumberDisconnected", "voiceReceivedOutsideOpenHours", "voiceUnexpectedDisconnect", "voiceDisconnectedBeforeQueue", "voiceDisconnectedWhileQueuedOnHold", "voiceReceivedNoAgentsAvailable", "voiceLenderDisabledInboundCalls", "voiceConnected", "voiceNumberInvalid", "emailSent", "emailDelivered", "emailBlocked", "emailBounced", "emailOpened", "emailClick", "emailDropped", "emailFailedToSend", "emailReportedAsSpam", "letterCreated", "letterFailedToCreate", "letterRenderedPdf", "letterRenderedThumbnails", "letterProcessedForDelivery", "letterRerouted", "letterInLocalArea", "letterInTransit", "letterDelivered", "letterReturnedToSender", "letterDeleted", "letterAccepted", "letterArrived", "letterProcessing", "letterProcessed", "letterDeparted", "letterPickUpAvailable", "letterAddressIssue", "letterContactCarrier", "letterDelayed", "letterDeliveryAttempted", "letterDeliveryRescheduled", "letterLocationInaccessible", "letterNoticeLeft", "letterDamaged", "letterDisposed", "letterHeld", "letterLost", "letterUnclaimed", "letterUndeliverable", "letterRescheduleDelivery", "letterOther", "chatPosted", "chatRead", "chatBorrowerInactivity", "chatReceivedOutsideOpenHours", "textConvoTimeoutAutoclose", "textConvoClosedStale", "textConvoUnknownNumberRejected", "textConvoClosedByAgent", "textLenderDisabledInboundTexts", "textUnsubscribedRecipient", "textQueueOverflow", "textAccountSuspended", "textDeviceUnreachable", "textMessageBlocked", "textNumberDisconnected", "textLandlineOrUnreachableCarrier", "textCarrierViolation", "textUnknownError", "textMissingSegment", "textMessagePriceExceedsMax", "textA2PCampaignUnregistered", "textRegionInvalid", "blockedByComplianceGuard", "invalidContact", "null"

  - `data.attributes.interaction.subject` (string)
    The subject of the interaction. The subject identifies the category of the content
in the message.
Most subjects have an associated implicit theme. e.g., `loanOverdueFirstNotice` has
a theme of `opsCollDebt`. For these subjects it is not necessary to specify a theme.
Some subjects like `freeForm` and `custom<N>` do not have an implicit theme. When
using these subjects you must specify a `theme`.
**DEPRECATED**: `locStatementGenerated` and `locStatementRegenerated` are deprecated.
They will be automatically converted into `statementGenerated` and `statementRegenerated`
respectively. You should switch to use those subjects directly.
**DEPRECATED**: `failedSettlementPeach` is deprecated. This was always a subject used by
the Peach application internally, and will no longer be used. Attempts to set this
subject will be rejected with a 400 error.
    Enum: "annualPrivacyPolicyNotice", "autopayAgreement", "autopayAmountChanged", "autopayCanceledBySystem", "autopayEnabled", "autopayEnableReminder", "autopayPaymentCanceled", "autopayPaymentMethodUpdated", "autopayPaymentReminder", "autopayPaymentRescheduled", "cardExpiresReminder", "caseEscalation", "ceaseCommunicationAcknowledgement", "ceaseCommunicationRefuseToPay", "confirmationCode", "contactTakeover", "creditNegativeInfoReported", "creditPositiveInfoReported", "custom1", "custom2", "custom3", "custom4", "custom5", "custom6", "custom7", "custom8", "custom9", "custom10", "custom11", "custom12", "custom13", "custom14", "custom15", "custom16", "custom17", "custom18", "custom19", "custom20", "custom21", "custom22", "custom23", "custom24", "custom25", "custom26", "custom27", "custom28", "custom29", "custom30", "custom31", "custom32", "custom33", "custom34", "custom35", "custom36", "custom37", "custom38", "custom39", "custom40", "custom41", "custom42", "custom43", "custom44", "custom45", "custom46", "custom47", "custom48", "custom49", "custom50", "custom51", "custom52", "custom53", "custom54", "custom55", "custom56", "custom57", "custom58", "custom59", "custom60", "custom61", "custom62", "custom63", "custom64", "custom65", "custom66", "custom67", "custom68", "custom69", "custom70", "custom71", "custom72", "custom73", "custom74", "custom75", "custom76", "custom77", "custom78", "custom79", "custom80", "custom81", "custom82", "custom83", "custom84", "custom85", "custom86", "custom87", "custom88", "custom89", "custom90", "custom91", "custom92", "custom93", "custom94", "custom95", "custom96", "custom97", "custom98", "custom99", "custom100", "debtValidationNotice", "debtValidationNoticeArizona", "debtValidationNoticeAutomatic", "debtValidationNoticeNYCYonkers", "debtValidationNoticePuertoRico", "deceasedConfirmationOfPayoff", "deceasedNoticeToRepresentative", "deceasedNotificationUponDeath", "disputeOfDebtConfirmed", "disputeOfDebtSubmitDocumentation", "disputeOfDebtSubmitDocumentationReminder", "disputeOfDebtUnableToConfirm", "disputeOfDebtUnableToResolve", "documentUploadFailed", "downpaymentFailed", "drawFundsDisclosure", "electronicConsentOptOut", "failedSettlementInvestor", "failedSettlementPeach", "freeForm", "freeFormBranded", "futurepayCanceled", "futurepayPaymentDueReminder", "identityTheftIncompleteDocumentation", "identityTheftNotValidated", "identityTheftSubmitDocumentation", "identityTheftSubmitDocumentationFirstReminder", "identityTheftSubmitDocumentationSecondReminder", "identityTheftValidated", "letterReturnedToSender", "loanAccelerated", "loanCanceled", "loanChargedOffUnsecured", "loanDetails", "loanFeeCharged", "loanFreeze", "loanManualPaymentDisclosure", "loanOverdueFifthNotice", "loanOverdueFirstNotice", "loanOverdueFourthNotice", "loanOverdueSecondNotice", "loanOverdueSixthNotice", "loanOverdueThirdNotice", "loanPaidOff", "loanPaymentScheduleChanged", "loanPayoffStatement", "loanRefundProcessed", "loanRightToCurePersonalUnsecured", "loanRightToCurePersonalUnsecuredColorado", "loanRightToCurePersonalUnsecuredDC", "loanRightToCurePersonalUnsecuredIowa", "loanRightToCurePersonalUnsecuredKansas", "loanRightToCurePersonalUnsecuredMaine", "loanRightToCurePersonalUnsecuredMissouri", "loanRightToCurePersonalUnsecuredSouthCarolina", "loanRightToCurePersonalUnsecuredWestVirginia", "loanRightToCurePersonalUnsecuredWisconsin", "loanTermsChangeAgreement", "loanUnfreeze", "locCreditLimitChanged", "locInterestRateChanged", "locLineClosed", "locStatementGenerated", "locStatementRegenerated", "loginFirstPaymentReminder", "microdepositFailed", "microdepositProcessing", "microdepositReminder", "oneTimeCode", "paydayConsumerRightsNotice", "paydayFirstPaymentWithdrawal", "paymentDisputed", "paymentDueDateReminder", "paymentFailed", "paymentMethodAdded", "paymentMethodUpdated", "paymentProcessing", "paymentRescheduled", "paymentReversalFailed", "paymentReversalProcessing", "paymentSuccessful", "payoffStatementDocument", "promiseToPayPeriodKept", "promiseToPayPeriodMissed", "promiseToPayPlanCanceled", "promiseToPayPlanCreated", "promoProgramCanceled", "promoProgramEligibilityAtRisk", "promoProgramExercised", "promoProgramReminder", "reimbursementFailed", "reimbursementProcessed", "reimbursementScheduled", "scraApplicationDenied", "scraBenefitsApplied", "scraBenefitsExpiringNotice", "scraCGFlaggedDocumentRequest", "scraServicemanNotifiedDocumentRequest", "settlementOffer", "settlementOfferFirstReminder", "statement", "statementLOC", "statementGenerated", "statementRegenerated", "unmonitoredEmailAddress", "updateBankAccountConnection"

  - `data.attributes.task_type` (string)
    Enum: "answerInboundVoiceCall"

  - `data.attributes.to` (string)

  - `data.attributes.to_city` (string)

  - `data.attributes.to_country` (string)

  - `data.attributes.to_state` (string)

  - `data.attributes.to_zip` (string)

  - `data.attributes.case` (object)
    The case object associated with this task.

Note that this represents the case data at the moment the task was published,
if subsequent changes have been made to the case, they will not be reflected here.

  - `data.attributes.case.autoCreated` (boolean)

  - `data.attributes.case.borrowerIds` (array)

  - `data.attributes.case.caseType` (string)
    Enum: "generic", "bankruptcy", "ceaseCommunication", "collection", "deceased", "disputeOfDebt", "federalEmergency", "identityTheft", "legalAction", "militaryDuty", "debtValidation", "oFACSanctionedIndividual", "disputeOfPurchase", "creditBureauDispute"

  - `data.attributes.case.caseTypeMeta` (object)
    Metadata about the case type object.

  - `data.attributes.case.caseTypeMeta.base` (string)

  - `data.attributes.case.caseTypeMeta.derivedFromTypeId` (string)

  - `data.attributes.case.caseTypeMeta.id` (string)

  - `data.attributes.case.caseTypeMeta.name` (string)

  - `data.attributes.case.caseTypeMeta.version` (integer)

  - `data.attributes.case.companyId` (string)

  - `data.attributes.case.createdAt` (string)

  - `data.attributes.case.escalatedEmployeeId` (string)

  - `data.attributes.case.escalatedTeamId` (string)
    The ID of the team to which this case is escalated.

  - `data.attributes.case.escalationIsUrgent` (boolean)
    If `true` then the case is considered "urgent" and should be handled with priority.

  - `data.attributes.case.id` (string)
    ID of the case.

  - `data.attributes.case.name` (string)

  - `data.attributes.case.outcome` (string)
    The outcome of a process, case, complaint, or dispute.
- If found to be valid, set value to `approved`.
This might impact debt collection efforts.
- If dismissed, set value to `denied`.
This will have no further impact on debt collection efforts.
- If found to be a false positive, set value to `falsePositive`.
- If completed without an outcome (or no outcome was needed), set to `noOutcome`.
    Enum: "approved", "denied", "falsePositive", "noOutcome"

  - `data.attributes.case.owningUserId` (string)

  - `data.attributes.case.people` (array)

  - `data.attributes.case.relatedLoansSummary` (object)

  - `data.attributes.case.relatedLoansSummary.isAnyOverdue` (boolean)

  - `data.attributes.case.relatedLoansSummary.maxDaysOverdue` (integer)

  - `data.attributes.case.relatedLoansSummary.totalOverdueAmount` (integer)

  - `data.attributes.case.status` (string)

  - `data.attributes.case.typeId` (string)
    ID of the case type.

  - `data.attributes.borrower` (object)
    Always `null`

  - `data.attributes.interaction` (object)
    Always `null`

  - `data.date_created` (string)
    The date and time the task was created. (Potentially this differs from the `task_init_at` field in
the task's attributes, since when a task is re-created via the "Unable To Complete" functionality,
this value will be the time the task was re-created.)

  - `data.date_updated` (string)

  - `data.priority` (integer)
    The priority of the task. A higher priority task jumps the queue ahead of lower priority tasks.
By default, tasks have a priority of 0. For example, inbound texts and chats may be configured
to have a higher priority. And usually, calls will have an even higher priority.

  - `data.reason` (string)
    Reason for task cancellation or completion, if applicable.

  - `data.reservation` (string)

  - `data.sid` (string)
    The unique identifier for the task.

  - `data.task_channel_sid` (string)
    The SID of the channel this task is associated with.

  - `data.task_channel_unique_name` (string)
    The unique name of the channel this task is associated with.

  - `data.task_queue_entered_date` (string)
    The date and time the task entered the queue.

  - `data.task_queue_friendly_name` (string)
    A human-readable name for the task queue.

  - `data.task_queue_sid` (string)
    The SID of the queue this task is associated with.

  - `data.timeout` (integer)
    The timeout value in seconds for task assignment. After this time, the task will be reassigned
to another agent.

  - `data.workflow_friendly_name` (string)
    A human-readable name for the workflow.

  - `data.workflow_sid` (string)
    The SID of the workflow this task is associated with.

  - `data.workspace_sid` (string)
    The SID of the workspace this task belongs to.

